Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.util
Interface InjectorMethod

All Known Implementing Classes:
  AbstractInjectorMethod

    public interface InjectorMethod

A method that will be written to an injector implementation.

Method Summary
`java.lang.String` | `getMethodBody(InjectorWriteContext context)` Returns the body of the method in the given context (e.g., "return this;")
`java.lang.String` | `getMethodSignature()` Returns the signature of the method (e.g., "public void foo()")
`java.lang.String` | `getPackageName()` Get the name of the package in which this method should be created.
`boolean` | `isNative()` Returns whether this is a native method.

Method Detail

### isNative

    boolean isNative()

  Returns whether this is a native method.

### getMethodSignature

    java.lang.String getMethodSignature()

  Returns the signature of the method (e.g., "public void foo()")

### getMethodBody

    java.lang.String getMethodBody(InjectorWriteContext context)
                                   throws NoSourceNameException

  Returns the body of the method in the given context (e.g., "return this;")

  Throws:
    `NoSourceNameException`

### getPackageName

    java.lang.String getPackageName()

  Get the name of the package in which this method should be created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD